Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Delete document

DELETE/workspaces/{organizationId}/documents/{id}
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
idstringrequired
Responses
204

Document deleted

404

Document not found

Try it
Server
Authorization
Parameters
Request
curl -X DELETE 'https://pile.nyc/workspaces/string/documents/string' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
Document deleted

Was this page helpful?